Debian Bug report logs - #559755
Disable cryptoloop

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Moritz Muehlenhoff <jmm@debian.org>

Date: Sun, 6 Dec 2009 21:57:05 UTC

Severity: normal

Tags: pending

Fixed in version linux-2.6/2.6.32-2

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#559755; Package linux-2.6. (Sun, 06 Dec 2009 21:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 06 Dec 2009 21:57:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Disable cryptoloop
Date: Sun, 06 Dec 2009 22:53:52 +0100
Package: linux-2.6
Severity: normal

I intend to disable cryptoloop support for Squeeze. The design flaws
reported as http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-2135
still apply to the (unmaintained) current version. 
cryptoloop also  doesn't work with journaling filesystems, which makes
it pretty much useless for most use cases.

Cheers,
        Moritz

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.31-1-686 (SMP w/1 CPU core)
Locale: LANG=C, LC_CTYPE=de_DE.ISO-8859-15@euro (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/bash




Added tag(s) pending. Request was from Moritz Muehlenhoff <jmm@alioth.debian.org> to control@bugs.debian.org. (Mon, 07 Dec 2009 22:48:32 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#559755; Package linux-2.6. (Mon, 07 Dec 2009 23:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 07 Dec 2009 23:21:03 GMT) Full text and rfc822 format available.

Message #12 received at 559755@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Moritz Muehlenhoff <jmm@debian.org>, 559755@bugs.debian.org
Subject: Re: Bug#559755: Disable cryptoloop
Date: Tue, 8 Dec 2009 00:16:59 +0100
On Sun, Dec 06, 2009 at 10:53:52PM +0100, Moritz Muehlenhoff wrote:
> I intend to disable cryptoloop support for Squeeze.

Are you adding this to the release notes?

Bastian

-- 
Fascinating, a totally parochial attitude.
		-- Spock, "Metamorphosis", stardate 3219.8




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#559755; Package linux-2.6. (Mon, 07 Dec 2009 23:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 07 Dec 2009 23:21:05 GMT) Full text and rfc822 format available.

Message #17 received at 559755@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Bastian Blank <waldi@debian.org>
Cc: 559755@bugs.debian.org
Subject: Re: Bug#559755: Disable cryptoloop
Date: Tue, 8 Dec 2009 00:18:39 +0100
On Tue, Dec 08, 2009 at 12:16:59AM +0100, Bastian Blank wrote:
> On Sun, Dec 06, 2009 at 10:53:52PM +0100, Moritz Muehlenhoff wrote:
> > I intend to disable cryptoloop support for Squeeze.
> 
> Are you adding this to the release notes?

Yes, it's on my TODO list.

Cheers,
        Moritz




Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Thu, 17 Dec 2009 05:09:29 GMT) Full text and rfc822 format available.

Notification sent to Moritz Muehlenhoff <jmm@debian.org>:
Bug acknowledged by developer. (Thu, 17 Dec 2009 05:09:32 GMT) Full text and rfc822 format available.

Message #22 received at 559755-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 559755-close@bugs.debian.org
Subject: Bug#559755: fixed in linux-2.6 2.6.32-2
Date: Thu, 17 Dec 2009 05:07:20 +0000
Source: linux-2.6
Source-Version: 2.6.32-2

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

firmware-linux-free_2.6.32-2_all.deb
  to main/l/linux-2.6/firmware-linux-free_2.6.32-2_all.deb
linux-2.6_2.6.32-2.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.32-2.diff.gz
linux-2.6_2.6.32-2.dsc
  to main/l/linux-2.6/linux-2.6_2.6.32-2.dsc
linux-doc-2.6.32_2.6.32-2_all.deb
  to main/l/linux-2.6/linux-doc-2.6.32_2.6.32-2_all.deb
linux-headers-2.6.32-trunk-486_2.6.32-2_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-trunk-486_2.6.32-2_i386.deb
linux-headers-2.6.32-trunk-686-bigmem_2.6.32-2_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-trunk-686-bigmem_2.6.32-2_i386.deb
linux-headers-2.6.32-trunk-686_2.6.32-2_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-trunk-686_2.6.32-2_i386.deb
linux-headers-2.6.32-trunk-all-i386_2.6.32-2_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-trunk-all-i386_2.6.32-2_i386.deb
linux-headers-2.6.32-trunk-all_2.6.32-2_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-trunk-all_2.6.32-2_i386.deb
linux-headers-2.6.32-trunk-amd64_2.6.32-2_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-trunk-amd64_2.6.32-2_i386.deb
linux-headers-2.6.32-trunk-common_2.6.32-2_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-trunk-common_2.6.32-2_i386.deb
linux-image-2.6.32-trunk-486_2.6.32-2_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-trunk-486_2.6.32-2_i386.deb
linux-image-2.6.32-trunk-686-bigmem_2.6.32-2_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-trunk-686-bigmem_2.6.32-2_i386.deb
linux-image-2.6.32-trunk-686_2.6.32-2_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-trunk-686_2.6.32-2_i386.deb
linux-image-2.6.32-trunk-amd64_2.6.32-2_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-trunk-amd64_2.6.32-2_i386.deb
linux-libc-dev_2.6.32-2_i386.deb
  to main/l/linux-2.6/linux-libc-dev_2.6.32-2_i386.deb
linux-manual-2.6.32_2.6.32-2_all.deb
  to main/l/linux-2.6/linux-manual-2.6.32_2.6.32-2_all.deb
linux-patch-debian-2.6.32_2.6.32-2_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.32_2.6.32-2_all.deb
linux-source-2.6.32_2.6.32-2_all.deb
  to main/l/linux-2.6/linux-source-2.6.32_2.6.32-2_all.deb
linux-support-2.6.32-trunk_2.6.32-2_all.deb
  to main/l/linux-2.6/linux-support-2.6.32-trunk_2.6.32-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 559755@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 16 Dec 2009 21:42:49 +0000
Source: linux-2.6
Binary: linux-source-2.6.32 linux-doc-2.6.32 linux-manual-2.6.32 linux-patch-debian-2.6.32 firmware-linux-free linux-support-2.6.32-trunk linux-base linux-libc-dev linux-headers-2.6.32-trunk-all linux-headers-2.6.32-trunk-all-alpha linux-headers-2.6.32-trunk-common linux-image-2.6.32-trunk-alpha-generic linux-headers-2.6.32-trunk-alpha-generic linux-image-2.6.32-trunk-alpha-smp linux-headers-2.6.32-trunk-alpha-smp linux-image-2.6.32-trunk-alpha-legacy linux-headers-2.6.32-trunk-alpha-legacy linux-headers-2.6.32-trunk-all-amd64 linux-image-2.6.32-trunk-amd64 linux-headers-2.6.32-trunk-amd64 linux-headers-2.6.32-trunk-all-armel linux-image-2.6.32-trunk-iop32x linux-headers-2.6.32-trunk-iop32x linux-image-2.6.32-trunk-ixp4xx linux-headers-2.6.32-trunk-ixp4xx linux-image-2.6.32-trunk-kirkwood linux-headers-2.6.32-trunk-kirkwood linux-image-2.6.32-trunk-orion5x linux-headers-2.6.32-trunk-orion5x linux-image-2.6.32-trunk-versatile linux-headers-2.6.32-trunk-versatile linux-headers-2.6.32-trunk-all-hppa
 linux-image-2.6.32-trunk-parisc linux-headers-2.6.32-trunk-parisc linux-image-2.6.32-trunk-parisc-smp linux-headers-2.6.32-trunk-parisc-smp linux-image-2.6.32-trunk-parisc64 linux-headers-2.6.32-trunk-parisc64 linux-image-2.6.32-trunk-parisc64-smp linux-headers-2.6.32-trunk-parisc64-smp linux-headers-2.6.32-trunk-all-i386 linux-image-2.6.32-trunk-486 linux-headers-2.6.32-trunk-486 linux-image-2.6.32-trunk-686 linux-headers-2.6.32-trunk-686 linux-image-2.6.32-trunk-686-bigmem linux-headers-2.6.32-trunk-686-bigmem linux-headers-2.6.32-trunk-all-ia64 linux-image-2.6.32-trunk-itanium linux-headers-2.6.32-trunk-itanium linux-image-2.6.32-trunk-mckinley linux-headers-2.6.32-trunk-mckinley linux-headers-2.6.32-trunk-all-m68k linux-image-2.6.32-trunk-amiga linux-headers-2.6.32-trunk-amiga linux-image-2.6.32-trunk-atari linux-headers-2.6.32-trunk-atari linux-image-2.6.32-trunk-bvme6000 linux-headers-2.6.32-trunk-bvme6000 linux-image-2.6.32-trunk-mac linux-headers-2.6.32-trunk-mac
 linux-image-2.6.32-trunk-mvme147 linux-headers-2.6.32-trunk-mvme147 linux-image-2.6.32-trunk-mvme16x linux-headers-2.6.32-trunk-mvme16x linux-headers-2.6.32-trunk-all-mips linux-image-2.6.32-trunk-r4k-ip22 linux-headers-2.6.32-trunk-r4k-ip22 linux-image-2.6.32-trunk-r5k-ip32 linux-headers-2.6.32-trunk-r5k-ip32 linux-image-2.6.32-trunk-sb1-bcm91250a linux-headers-2.6.32-trunk-sb1-bcm91250a linux-image-2.6.32-trunk-sb1a-bcm91480b linux-headers-2.6.32-trunk-sb1a-bcm91480b linux-image-2.6.32-trunk-4kc-malta linux-headers-2.6.32-trunk-4kc-malta linux-image-2.6.32-trunk-5kc-malta linux-headers-2.6.32-trunk-5kc-malta linux-headers-2.6.32-trunk-all-mipsel linux-image-2.6.32-trunk-r5k-cobalt linux-headers-2.6.32-trunk-r5k-cobalt linux-headers-2.6.32-trunk-all-powerpc linux-image-2.6.32-trunk-powerpc linux-headers-2.6.32-trunk-powerpc linux-image-2.6.32-trunk-powerpc-smp linux-headers-2.6.32-trunk-powerpc-smp linux-image-2.6.32-trunk-powerpc64 linux-headers-2.6.32-trunk-powerpc64
 linux-headers-2.6.32-trunk-all-s390 linux-image-2.6.32-trunk-s390x linux-headers-2.6.32-trunk-s390x linux-image-2.6.32-trunk-s390x-tape linux-headers-2.6.32-trunk-all-sparc linux-image-2.6.32-trunk-sparc64 linux-headers-2.6.32-trunk-sparc64 linux-image-2.6.32-trunk-sparc64-smp linux-headers-2.6.32-trunk-sparc64-smp linux-headers-2.6.32-trunk-all-sparc64
Architecture: all i386 source
Version: 2.6.32-2
Distribution: unstable
Urgency: high
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Closes: 556587 558200 559577 559755 560263
Description: 
 firmware-linux-free - Binary firmware for various drivers in the Linux kernel
 linux-base - Linux image base package
 linux-doc-2.6.32 - Linux kernel specific documentation for version 2.6.32
 linux-headers-2.6.32-trunk-486 - Header files for Linux 2.6.32-trunk-486
 linux-headers-2.6.32-trunk-4kc-malta - Header files for Linux 2.6.32-trunk-4kc-malta
 linux-headers-2.6.32-trunk-5kc-malta - Header files for Linux 2.6.32-trunk-5kc-malta
 linux-headers-2.6.32-trunk-686-bigmem - Header files for Linux 2.6.32-trunk-686-bigmem
 linux-headers-2.6.32-trunk-686 - Header files for Linux 2.6.32-trunk-686
 linux-headers-2.6.32-trunk-all - All header files for Linux 2.6.32
 linux-headers-2.6.32-trunk-all-alpha - All header files for Linux 2.6.32
 linux-headers-2.6.32-trunk-all-amd64 - All header files for Linux 2.6.32
 linux-headers-2.6.32-trunk-all-armel - All header files for Linux 2.6.32
 linux-headers-2.6.32-trunk-all-hppa - All header files for Linux 2.6.32
 linux-headers-2.6.32-trunk-all-i386 - All header files for Linux 2.6.32
 linux-headers-2.6.32-trunk-all-ia64 - All header files for Linux 2.6.32
 linux-headers-2.6.32-trunk-all-m68k - All header files for Linux 2.6.32
 linux-headers-2.6.32-trunk-all-mips - All header files for Linux 2.6.32
 linux-headers-2.6.32-trunk-all-mipsel - All header files for Linux 2.6.32
 linux-headers-2.6.32-trunk-all-powerpc - All header files for Linux 2.6.32
 linux-headers-2.6.32-trunk-all-s390 - All header files for Linux 2.6.32
 linux-headers-2.6.32-trunk-all-sparc64 - All header files for Linux 2.6.32
 linux-headers-2.6.32-trunk-all-sparc - All header files for Linux 2.6.32
 linux-headers-2.6.32-trunk-alpha-generic - Header files for Linux 2.6.32-trunk-alpha-generic
 linux-headers-2.6.32-trunk-alpha-legacy - Header files for Linux 2.6.32-trunk-alpha-legacy
 linux-headers-2.6.32-trunk-alpha-smp - Header files for Linux 2.6.32-trunk-alpha-smp
 linux-headers-2.6.32-trunk-amd64 - Header files for Linux 2.6.32-trunk-amd64
 linux-headers-2.6.32-trunk-amiga - Header files for Linux 2.6.32-trunk-amiga
 linux-headers-2.6.32-trunk-atari - Header files for Linux 2.6.32-trunk-atari
 linux-headers-2.6.32-trunk-bvme6000 - Header files for Linux 2.6.32-trunk-bvme6000
 linux-headers-2.6.32-trunk-common - Common header files for Linux 2.6.32-trunk
 linux-headers-2.6.32-trunk-iop32x - Header files for Linux 2.6.32-trunk-iop32x
 linux-headers-2.6.32-trunk-itanium - Header files for Linux 2.6.32-trunk-itanium
 linux-headers-2.6.32-trunk-ixp4xx - Header files for Linux 2.6.32-trunk-ixp4xx
 linux-headers-2.6.32-trunk-kirkwood - Header files for Linux 2.6.32-trunk-kirkwood
 linux-headers-2.6.32-trunk-mac - Header files for Linux 2.6.32-trunk-mac
 linux-headers-2.6.32-trunk-mckinley - Header files for Linux 2.6.32-trunk-mckinley
 linux-headers-2.6.32-trunk-mvme147 - Header files for Linux 2.6.32-trunk-mvme147
 linux-headers-2.6.32-trunk-mvme16x - Header files for Linux 2.6.32-trunk-mvme16x
 linux-headers-2.6.32-trunk-orion5x - Header files for Linux 2.6.32-trunk-orion5x
 linux-headers-2.6.32-trunk-parisc64 - Header files for Linux 2.6.32-trunk-parisc64
 linux-headers-2.6.32-trunk-parisc64-smp - Header files for Linux 2.6.32-trunk-parisc64-smp
 linux-headers-2.6.32-trunk-parisc - Header files for Linux 2.6.32-trunk-parisc
 linux-headers-2.6.32-trunk-parisc-smp - Header files for Linux 2.6.32-trunk-parisc-smp
 linux-headers-2.6.32-trunk-powerpc64 - Header files for Linux 2.6.32-trunk-powerpc64
 linux-headers-2.6.32-trunk-powerpc - Header files for Linux 2.6.32-trunk-powerpc
 linux-headers-2.6.32-trunk-powerpc-smp - Header files for Linux 2.6.32-trunk-powerpc-smp
 linux-headers-2.6.32-trunk-r4k-ip22 - Header files for Linux 2.6.32-trunk-r4k-ip22
 linux-headers-2.6.32-trunk-r5k-cobalt - Header files for Linux 2.6.32-trunk-r5k-cobalt
 linux-headers-2.6.32-trunk-r5k-ip32 - Header files for Linux 2.6.32-trunk-r5k-ip32
 linux-headers-2.6.32-trunk-s390x - Header files for Linux 2.6.32-trunk-s390x
 linux-headers-2.6.32-trunk-sb1a-bcm91480b - Header files for Linux 2.6.32-trunk-sb1a-bcm91480b
 linux-headers-2.6.32-trunk-sb1-bcm91250a - Header files for Linux 2.6.32-trunk-sb1-bcm91250a
 linux-headers-2.6.32-trunk-sparc64 - Header files for Linux 2.6.32-trunk-sparc64
 linux-headers-2.6.32-trunk-sparc64-smp - Header files for Linux 2.6.32-trunk-sparc64-smp
 linux-headers-2.6.32-trunk-versatile - Header files for Linux 2.6.32-trunk-versatile
 linux-image-2.6.32-trunk-486 - Linux 2.6.32 for old PCs
 linux-image-2.6.32-trunk-4kc-malta - Linux 2.6.32 for MIPS Malta
 linux-image-2.6.32-trunk-5kc-malta - Linux 2.6.32 for MIPS Malta (64-bit)
 linux-image-2.6.32-trunk-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM
 linux-image-2.6.32-trunk-686 - Linux 2.6.32 for modern PCs
 linux-image-2.6.32-trunk-alpha-generic - Linux 2.6.32 for Alpha
 linux-image-2.6.32-trunk-alpha-legacy - Linux 2.6.32 for Alpha Legacy
 linux-image-2.6.32-trunk-alpha-smp - Linux 2.6.32 for Alpha SMP
 linux-image-2.6.32-trunk-amd64 - Linux 2.6.32 for 64-bit PCs
 linux-image-2.6.32-trunk-amiga - Linux 2.6.32 for Amiga
 linux-image-2.6.32-trunk-atari - Linux 2.6.32 for Atari
 linux-image-2.6.32-trunk-bvme6000 - Linux 2.6.32 for BVM BVME4000 and BVME6000
 linux-image-2.6.32-trunk-iop32x - Linux 2.6.32 for IOP32x
 linux-image-2.6.32-trunk-itanium - Linux 2.6.32 for Itanium
 linux-image-2.6.32-trunk-ixp4xx - Linux 2.6.32 for IXP4xx
 linux-image-2.6.32-trunk-kirkwood - Linux 2.6.32 for Marvell Kirkwood
 linux-image-2.6.32-trunk-mac - Linux 2.6.32 for Macintosh
 linux-image-2.6.32-trunk-mckinley - Linux 2.6.32 for Itanium II
 linux-image-2.6.32-trunk-mvme147 - Linux 2.6.32 for Motorola MVME147
 linux-image-2.6.32-trunk-mvme16x - Linux 2.6.32 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.32-trunk-orion5x - Linux 2.6.32 for Marvell Orion
 linux-image-2.6.32-trunk-parisc64 - Linux 2.6.32 for 64-bit PA-RISC
 linux-image-2.6.32-trunk-parisc64-smp - Linux 2.6.32 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.32-trunk-parisc - Linux 2.6.32 for 32-bit PA-RISC
 linux-image-2.6.32-trunk-parisc-smp - Linux 2.6.32 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.32-trunk-powerpc64 - Linux 2.6.32 for 64-bit PowerPC
 linux-image-2.6.32-trunk-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC
 linux-image-2.6.32-trunk-powerpc-smp - Linux 2.6.32 for multiprocessor 32-bit PowerPC
 linux-image-2.6.32-trunk-r4k-ip22 - Linux 2.6.32 for SGI IP22
 linux-image-2.6.32-trunk-r5k-cobalt - Linux 2.6.32 for Cobalt
 linux-image-2.6.32-trunk-r5k-ip32 - Linux 2.6.32 for SGI IP32
 linux-image-2.6.32-trunk-s390x - Linux 2.6.32 for IBM zSeries
 linux-image-2.6.32-trunk-s390x-tape - Linux 2.6.32 for IBM zSeries, IPL from tape
 linux-image-2.6.32-trunk-sb1a-bcm91480b - Linux 2.6.32 for BCM91480B
 linux-image-2.6.32-trunk-sb1-bcm91250a - Linux 2.6.32 for BCM91250A
 linux-image-2.6.32-trunk-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.32-trunk-sparc64-smp - Linux 2.6.32 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.32-trunk-versatile - Linux 2.6.32 for Versatile
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.32 - Linux kernel API manual pages for version 2.6.32
 linux-patch-debian-2.6.32 - Debian patches to version 2.6.32 of the Linux kernel
 linux-source-2.6.32 - Linux kernel source for version 2.6.32 with Debian patches
 linux-support-2.6.32-trunk - Support files for Linux 2.6.32
Changes: 
 linux-2.6 (2.6.32-2) unstable; urgency=high
 .
   [ Bastian Blank ]
   * Allow memory hot-add and -remove if possible.
   * Enable USB suspend.
   * Enable kernel samepage merging. (closes: #558200)
   * [s390]
     - Enable SECCOMP.
     - Enable z/VM Watchdog Timer.
 .
   [ Moritz Muehlenhoff ]
   * Disable cryptoloop (Closes: #559755)
   * Initial work on a README.source file as suggested by current policy
 .
   [ Ben Hutchings ]
   * aufs2: Update to snapshot from 2009-12-05
   * postinst: Fix failure paths in check for missing firmware
     (Closes: #560263)
   * atl1c: Fix system hang when link drops (Closes: #559577)
   * netfilter: xtables: fix conntrack match v1 ipt-save output
     (Closes: #556587)
 .
   [ Aurelien Jarno ]
   * Add support for the sparc64 architecture.
 .
   [ dann frazier ]
   * Add stable release 2.6.32.1:
     - ext4: Fix double-free of blocks with EXT4_IOC_MOVE_EXT (CVE-2009-4306)
     - ext4: avoid divide by zero when trying to mount a corrupted file system
       (CVE-2009-4307)
     - ext4: Fix insufficient checks in EXT4_IOC_MOVE_EXT (CVE-2009-4131)
Checksums-Sha1: 
 a0dc6db75231e157d25332c6f1cf010fbe7394ea 5647 linux-2.6_2.6.32-2.dsc
 54364c86c30548b315596443aa08a80f534af469 532216 linux-2.6_2.6.32-2.diff.gz
 11e1b734ce891806c19d6b3e8f099a7a21cd7895 132406 linux-support-2.6.32-trunk_2.6.32-2_all.deb
 fbab3dedee02462351272484ac7d172691ea57c5 368038 linux-patch-debian-2.6.32_2.6.32-2_all.deb
 e6fa8501adcc0220055545d5cbab6ba4536e06d5 122522 firmware-linux-free_2.6.32-2_all.deb
 a73ea1dabbde63963ea6e29842a8692c269f8056 63716326 linux-source-2.6.32_2.6.32-2_all.deb
 6804734a9ace9ead2b2ff5e66b05fc0f8503dc8e 6011132 linux-doc-2.6.32_2.6.32-2_all.deb
 f7f622fa88c29945ea5cfad2a54bfb797ff38326 2698830 linux-manual-2.6.32_2.6.32-2_all.deb
 2a101de8324e266997b0420dbbe254afdc684d41 462822 linux-headers-2.6.32-trunk-486_2.6.32-2_i386.deb
 11c0f17a5b6196ef5ab9cbc3d0c4eba91d4240cc 25570262 linux-image-2.6.32-trunk-486_2.6.32-2_i386.deb
 9b3a55e384be18088912816dfefbf82cff9fc872 462316 linux-headers-2.6.32-trunk-686_2.6.32-2_i386.deb
 46944b61cc8acf4248b022179a731dc5d2dc71cf 25700118 linux-image-2.6.32-trunk-686_2.6.32-2_i386.deb
 ea956d327f2387e9a2fa483e4fb2e399277c3ce9 463996 linux-headers-2.6.32-trunk-686-bigmem_2.6.32-2_i386.deb
 6ea0da796d46860620d6b286ab657c125f601309 25831212 linux-image-2.6.32-trunk-686-bigmem_2.6.32-2_i386.deb
 7643cf0f43e6800ec032db12b356ebb259cd9d01 454844 linux-headers-2.6.32-trunk-amd64_2.6.32-2_i386.deb
 6798c122466a8396424adaa3a81011ab84574c13 26694730 linux-image-2.6.32-trunk-amd64_2.6.32-2_i386.deb
 e50313f12bd8997a51a4ee94f93cceb03ec4378a 3828472 linux-headers-2.6.32-trunk-common_2.6.32-2_i386.deb
 9c9960389c933e3cf7438d8b38e28b0083f149ca 117482 linux-headers-2.6.32-trunk-all_2.6.32-2_i386.deb
 f83e1a9617a4a2c8e2e835930059f92cfe180a9d 117512 linux-headers-2.6.32-trunk-all-i386_2.6.32-2_i386.deb
 c8bbeddd8ab9ca563d0a4f6345328d1c5bb3269b 852090 linux-libc-dev_2.6.32-2_i386.deb
Checksums-Sha256: 
 481c0da9a10bddbdf00ba3b820dc22fcaf4b5edafc45229b6b70ef716e7ca5aa 5647 linux-2.6_2.6.32-2.dsc
 6d168fd97d94e54896037d4948f49137231cbf4fae371ebdfb8dd062f0576d32 532216 linux-2.6_2.6.32-2.diff.gz
 31981c4ae2de3eb89073469ed9d8a46a7a6915f2d84f4b1f5939cbfd3227ad71 132406 linux-support-2.6.32-trunk_2.6.32-2_all.deb
 77e4ea235376593953251f47d3618662781f9738fc7abca5a42922f31f1fed18 368038 linux-patch-debian-2.6.32_2.6.32-2_all.deb
 43491c8ac36c46f0a8e3892d1166f61ed7995bae6b0e03f5e1418c917543d6b0 122522 firmware-linux-free_2.6.32-2_all.deb
 d8e1bb335a2bc8e440781577c85d6114862fdbb9009c890756e78be387a6ba06 63716326 linux-source-2.6.32_2.6.32-2_all.deb
 7a8c61678332e3e6274ca98861c139131ec5f7018d28563b6312cc745932bc41 6011132 linux-doc-2.6.32_2.6.32-2_all.deb
 6c106973361214a1a8518e6d62c72260ef32215d1303d28285f07e74bce4afba 2698830 linux-manual-2.6.32_2.6.32-2_all.deb
 468c933c022acb981e86d4cb9bb2a96520db41328f6dc04439e83fe3dd676e48 462822 linux-headers-2.6.32-trunk-486_2.6.32-2_i386.deb
 92bc096d8b195df71524c608b4544476dcc903e740b1a5d2ffe09c042026ba1f 25570262 linux-image-2.6.32-trunk-486_2.6.32-2_i386.deb
 f2e91d7ac04249e2b7550d0b763dd5d76950beb3e49a3d999b8f4466a146365a 462316 linux-headers-2.6.32-trunk-686_2.6.32-2_i386.deb
 3c15096dd7825dcae59a2c74a11e27f6f7c65028b20ac35bd9644a293de5ecce 25700118 linux-image-2.6.32-trunk-686_2.6.32-2_i386.deb
 4e0d187cd3d760f9dd45c68fdf0efc944cb2d14036745a6fad949ea9b5ce7284 463996 linux-headers-2.6.32-trunk-686-bigmem_2.6.32-2_i386.deb
 877c46ad77833c94e5f38bdcb22d889f2207846d002e8464bd1fff8e65d03c51 25831212 linux-image-2.6.32-trunk-686-bigmem_2.6.32-2_i386.deb
 21d1c4a246aa42df3e68e041a9fe79a5a2c5528d7ebfa717d5662678814b46eb 454844 linux-headers-2.6.32-trunk-amd64_2.6.32-2_i386.deb
 52e6db44c174ba9b7b2db16d93b3d4a48c98a7c3b0c3c7f1aefc2540a0e9c998 26694730 linux-image-2.6.32-trunk-amd64_2.6.32-2_i386.deb
 f57028f80407880caf0af462696efb21f8f649e48abee9b2f0fae1293740c762 3828472 linux-headers-2.6.32-trunk-common_2.6.32-2_i386.deb
 ae8b52db9e6556ee865ce23c5b1b303984d7fcbe612dd9c97418d00f3ef9c733 117482 linux-headers-2.6.32-trunk-all_2.6.32-2_i386.deb
 1f7fdb15da50b5275b246b2b159def7984a78b13f9004a16f977d9912e00ec2c 117512 linux-headers-2.6.32-trunk-all-i386_2.6.32-2_i386.deb
 d238bbec8d4517c0ec3f239198635a4febc18bb00a04a66921b60ea4255e47d2 852090 linux-libc-dev_2.6.32-2_i386.deb
Files: 
 c508f153ae79859ce08caddc28ccdcd1 5647 kernel optional linux-2.6_2.6.32-2.dsc
 bb6ae4a3f822fc47e85b89d86f8011f6 532216 kernel optional linux-2.6_2.6.32-2.diff.gz
 334dc43e8bf25cf446460ece5f06a4ef 132406 devel optional linux-support-2.6.32-trunk_2.6.32-2_all.deb
 6b570f00b0004030670265ba4284c9e6 368038 kernel optional linux-patch-debian-2.6.32_2.6.32-2_all.deb
 48a2c0a92ae8ffbd95c5c11f3218f611 122522 kernel optional firmware-linux-free_2.6.32-2_all.deb
 5c34cd3b6d21bbdec7adcbbd0c397fc5 63716326 kernel optional linux-source-2.6.32_2.6.32-2_all.deb
 c012cf0f0580c29bb0d990ee8b9b06b1 6011132 doc optional linux-doc-2.6.32_2.6.32-2_all.deb
 66c96d06858c65a20309a5040402e3df 2698830 doc optional linux-manual-2.6.32_2.6.32-2_all.deb
 d8ade8104ccc2d3702d5e7c12f42676b 462822 kernel optional linux-headers-2.6.32-trunk-486_2.6.32-2_i386.deb
 5a0b9489908d667f3cdadcebcb3eb3c2 25570262 kernel optional linux-image-2.6.32-trunk-486_2.6.32-2_i386.deb
 30b938ddd5af9650a26a74dc2fac22d4 462316 kernel optional linux-headers-2.6.32-trunk-686_2.6.32-2_i386.deb
 24ba56a42cb2ba853c2c54962c99aeb8 25700118 kernel optional linux-image-2.6.32-trunk-686_2.6.32-2_i386.deb
 67d2ac972e56aec96bdd4601a6ffbac7 463996 kernel optional linux-headers-2.6.32-trunk-686-bigmem_2.6.32-2_i386.deb
 42c7e6995084d250bbbdbd8af04f9f1b 25831212 kernel optional linux-image-2.6.32-trunk-686-bigmem_2.6.32-2_i386.deb
 1341e32442a51e3e8f511bb5287f0926 454844 kernel optional linux-headers-2.6.32-trunk-amd64_2.6.32-2_i386.deb
 1ef9f5568dc406fd4d38ca4a668a5b96 26694730 kernel optional linux-image-2.6.32-trunk-amd64_2.6.32-2_i386.deb
 abac4cae52a2302f113a09e6be94d7bd 3828472 kernel optional linux-headers-2.6.32-trunk-common_2.6.32-2_i386.deb
 0dc6ed36facc929cb356106b32578667 117482 kernel optional linux-headers-2.6.32-trunk-all_2.6.32-2_i386.deb
 8434d903cc76f3bcc804717986d470cf 117512 kernel optional linux-headers-2.6.32-trunk-all-i386_2.6.32-2_i386.deb
 f7d93c401376b167da0e99f5572b351a 852090 devel optional linux-libc-dev_2.6.32-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIVAwUBSymlLue/yOyVhhEJAQoRJxAAs7lsaeqxC/vZtHsDJog0XRvaStKvoTkG
jTDHS/f7KMtUbUCv4Yzk43wBQikKV1higKVFjFSYPaMPkwJZITYKNIPNF1P+HiK6
W8mHTse4tPuPFT4o0NG9aZywK2/Xjg2MgNSbQ2k3FA0l+KPhxoxB5INcpy4hODt2
9hgJ1gtoYdI36ez6AeEnhDvZCFRM5fVmCaoUaqK5l764NB8kq1y1VLcL06mAZSTj
uRLmF7+KsBUSBJPeyT18FHc+14hp2plQ0B4v7AGnwdB4oNzCUXAv1TeCDFbx7OFK
BK0l5/N8NuLSzBWtwl0FEukbUe5TNLEpjaTA39eHz2ZIeZB/n/oCOCKUhtPe9swy
QZypQhcjc1gU4YW7qYGNIB+w668DXIa7AnhoasHeO01y3m+/ILWGp9ApyByrnjiU
BZK86/xOGxKvS2Xd7PuFBbJom3KDkpUtEme8n0Ggft5/4jl4erPgOuWbrV0uT11U
SkonvjGUtntwfPnjeF2Y41uFad9RVbR0jGb+h2TPDQyVMzywjpCuJQaWigAQdF2J
rwxIb/tD2g6BVaB6pxFBWEcob52p+FBKawgSlN6NYpByhUyUlMlrFtcBqacylC+n
ckOHmYl/7LiqOtROe1ZhrXfQAeydnEuLxn1UYhaKevxI11GlXDstfD0AwKp1NCKb
25GdfN0c3lI=
=B5nD
-----END PGP SIGNATURE-----





Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 19 Dec 2009 07:06:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#559755; Package linux-2.6. (Sun, 03 Jan 2010 13:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bart Massey <bart.massey@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 03 Jan 2010 13:03:07 GMT) Full text and rfc822 format available.

Message #29 received at 559755@bugs.debian.org (full text, mbox):

From: Bart Massey <bart.massey@gmail.com>
To: 559755@bugs.debian.org
Subject: For pity's sake, no.
Date: Sun, 3 Jan 2010 04:58:55 -0800
[Message part 1 (text/plain, inline)]
My backup system is built entirely around the cryptoloop module, and I have
no real interest in re-engineering it.  In my application, the weakness
referred to in CVE-2004-2135 is largely irrelevant.   I'm not sure what
"cryptoloop doesn't work with journaling filesystems" is supposed to mean;
it has seemed to work fine for me for years and years.

Please put cryptoloop back.  I don't have a week to mess with dmcrypt right
now, so I'm just going to have to compile my own kernel (or at least my own
cryptoloop module)  if you don't.  I would be really, really annoyed by
this.  I can't believe I'm the only one.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#559755; Package linux-2.6. (Sun, 03 Jan 2010 22:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 03 Jan 2010 22:21:08 GMT) Full text and rfc822 format available.

Message #34 received at 559755@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Bart Massey <bart.massey@gmail.com>, 559755@bugs.debian.org
Subject: Re: Bug#559755: For pity's sake, no.
Date: Sun, 03 Jan 2010 22:20:23 +0000
[Message part 1 (text/plain, inline)]
On Sun, 2010-01-03 at 04:58 -0800, Bart Massey wrote:
> My backup system is built entirely around the cryptoloop module, and I
> have no real interest in re-engineering it.  In my application, the
> weakness referred to in CVE-2004-2135 is largely irrelevant.   I'm not
> sure what "cryptoloop doesn't work with journaling filesystems" is
> supposed to mean; it has seemed to work fine for me for years and
> years.
[...]

Journalling filesystems rely on proper implementation of write barriers,
but I believe cryptoloop doesn't provide that.  (This is not unique to
cryptoloop; several other block translation drivers have the same
problem.)

Ben.

-- 
Ben Hutchings
The obvious mathematical breakthrough [to break modern encryption] would be
development of an easy way to factor large prime numbers. - Bill Gates

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#559755; Package linux-2.6. (Sat, 20 Feb 2010 11:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alberto Gonzalez Iniesta <agi@inittab.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 20 Feb 2010 11:12:06 GMT) Full text and rfc822 format available.

Message #39 received at 559755@bugs.debian.org (full text, mbox):

From: Alberto Gonzalez Iniesta <agi@inittab.org>
To: 559755@bugs.debian.org
Subject: Is forcing users the way to go?
Date: Sat, 20 Feb 2010 12:00:09 +0100
Hi,

I've been using cryptoloop for ~9 years. It never let me down. It may
have problems, but it still useful to a lot of people. I just moved my
last cryptoloop, thank to this movement by the kernel maintainers. But I
think maintaining it alive and printing a warning when loading the
module (just like many other software behaves on transitions) would be
nicer to our users.

Thanks,

Alberto

-- 
Alberto Gonzalez Iniesta    | Formación, consultoría y soporte técnico
agi@(inittab.org|debian.org)| en GNU/Linux y software libre
Encrypted mail preferred    | http://inittab.com

Key fingerprint = 9782 04E7 2B75 405C F5E9  0C81 C514 AF8E 4BA4 01C3




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 21 Mar 2010 07:38:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:14:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.